Bug 1734448 - Remove Docker related commands (Error: undefined method `action' for nil:NilClass)
Summary: Remove Docker related commands (Error: undefined method `action' for nil:NilC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Martin Bacovsky
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 14:42 UTC by Lukáš Hellebrandt
Modified: 2019-10-22 19:48 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman_docker-0.0.6.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27514 None None None 2019-08-05 12:10:15 UTC

Description Lukáš Hellebrandt 2019-07-30 14:42:59 UTC
Description of problem:
For technical reasons, Docker CR commands were not removed while removing Docker CR support. They should be removed in the following versions.
Some commands even show undefined method error which is a clear bug.

Version-Release number of selected component (if applicable):
Sat 6.6

How reproducible:
Deterministic

Steps to Reproduce:
1. hammer docker container
2. hammer docker container status

Actual results:
First command exists (and correctly states "Unfortunately the server does not support such operation.")
Second command exists (and incorrectly shows error "Error: undefined method `action' for nil:NilClass")

Expected results:
Commands shouldn't exist

Comment 3 Martin Bacovsky 2019-08-05 12:10:14 UTC
Created redmine issue https://projects.theforeman.org/issues/27514 from this bug

Comment 4 Bryan Kearney 2019-08-06 08:04:34 UTC
Upstream bug assigned to mbacovsk@redhat.com

Comment 5 Bryan Kearney 2019-08-06 12:04:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27514 has been resolved.

Comment 7 Lai 2019-08-19 14:02:04 UTC
Steps to test:

1. hammer docker container
2. hammer docker container status

Expected:  No such sub-command 'container'

Actual: No such sub-command 'container'

-----------------------------------------------------
Results:
# hammer docker
Usage:
    hammer docker [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    Subcommand
 [ARG] ...                     Subcommand arguments

Subcommands:
 manifest                      Manage docker manifests
 tag                           Manage docker tags

Options:
 -h, --help                    Print help

# hammer docker container
Error: No such sub-command 'container'.

See: 'hammer docker --help'.

# hammer docker container status
Error: No such sub-command 'container'.

See: 'hammer docker --help'.


Verified on 6.6.0 Snap 16

Comment 8 Bryan Kearney 2019-10-22 19:48:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.